org.apache.uima.cas_data.impl

## Class ReferenceArrayFSImpl

- java.lang.Object
- - org.apache.uima.cas_data.impl.FeatureStructureImpl
  - - org.apache.uima.cas_data.impl.ReferenceArrayFSImpl

- All Implemented Interfaces:
    Serializable, FeatureStructure, ReferenceArrayFS

      public class ReferenceArrayFSImpl
      extends FeatureStructureImpl
      implements ReferenceArrayFS

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReferenceArrayFSImpl(String[] aIdRefs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getIdRefArray()` Gets the IDs of the target feature structures.
    `int` | `size()` Get the size of this array.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.uima.cas_data.impl.FeatureStructureImpl

      `get, getFeatureNames, getFeatureValue, getId, getIndexed, getType, isIndexed, setFeatureValue, setId, setIndexed, setIndexed, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.cas_data.FeatureStructure

      `getFeatureNames, getFeatureValue, getId, getIndexed, getType, isIndexed, setFeatureValue, setId, setIndexed, setIndexed, setType`

- - ### Constructor Detail

    - #### ReferenceArrayFSImpl

          public ReferenceArrayFSImpl(String[] aIdRefs)

  - ### Method Detail

    - #### size

          public int size()

      Description copied from interface: `ReferenceArrayFS`
      Get the size of this array.
      Specified by:
        `size` in interface `ReferenceArrayFS`
      Returns:
        the size

    - #### getIdRefArray

          public String[] getIdRefArray()

      Description copied from interface: `ReferenceArrayFS`
      Gets the IDs of the target feature structures.
      Specified by:
        `getIdRefArray` in interface `ReferenceArrayFS`
      Returns:
        string array containing feature structure IDs

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `FeatureStructureImpl`

Copyright © 2006–2021 The Apache Software Foundation. All rights reserved.